pc.script.createLoadingScreen(function (app) {

    PokiSDK.setDebug(false);
    try {
        PokiSDK.init().then(() => {
            // fire your function to continue to game
        }).catch(() => {
            console.error("Adblock enabled");
            this.adblockEnabled = true;
        });
    } catch (err) {
        console.error("Adblock enabled");
        adblockEnabled = true;
    }

    PokiSDK.gameLoadingStart();
    window.addEventListener('keydown', ev => {
        if (['ArrowDown', 'ArrowUp', ' '].includes(ev.key)) {
            ev.preventDefault();
        }
    });
    window.addEventListener('wheel', ev => ev.preventDefault(), { passive: false });
    var showSplash = function () {
        // splash wrapper
        var wrapper = document.createElement('div');
        wrapper.id = 'application-splash-wrapper';
        // wrapper.src = ""
        document.body.appendChild(wrapper);

        // splash
        var splash = document.createElement('div');
        splash.id = 'application-splash';
        wrapper.appendChild(splash);
        splash.style.display = 'none';

        var container = document.createElement('div');
        container.id = 'progress-bar-container';
        splash.appendChild(container);

        var bar = document.createElement('div');
        bar.id = 'progress-bar';
        container.appendChild(bar);


        var cross = document.createElement('img');
        // cross.src = ""
        cross.id = 'cross'
        container.appendChild(cross);
        cross.onload = function () {
            splash.style.display = 'inline';
        };


        var logo = document.createElement('img');
        // logo.src = ""
        logo.id = 'logo'
        container.appendChild(logo);
        logo.onload = function () {
            splash.style.display = 'inline';
        };
        var title = document.createElement('img');
        // title.src = ""
        title.id = 'title'
        wrapper.appendChild(title);
    };

    var hideSplash = function () {
        var splash = document.getElementById('application-splash-wrapper');
        splash.parentElement.removeChild(splash);
    };

    var setProgress = function (value) {
        var bar = document.getElementById('progress-bar');
        if (bar) {
            value = Math.min(1, Math.max(0, value));
            bar.style.width = value * 118.5 + '%';
        }
    };

    var createCss = function () {
        var css = [
            'body {',
            '    background-color: #000000;',
            '}',
            '',
            '#application-splash-wrapper {',
            '    position: absolute;',
            '    top: 0;',
            '    left: 0;',
            '    height: 100%;',
            '    width: 100%;',
            '    background-color: #000000;',
            '}',
            '',
            '#application-splash {',
            '    position: absolute;',
            '    top: calc(50% - -150px);',
            '    width: 264px;',
            '    left: calc(50% - 132px);',
            '}',
            '',

            '',
            '#progress-bar-container {',
            '    margin: 20px auto 0 auto;',
            'display: inline;',
            '    height: 2px;',
            '    width: 100%;',

            '}',
            '',
            '#progress-bar {',
            '    width: 0%;',
            '    height: 48.9px;',
            '    background:linear-gradient(90deg, rgba(227,54,129,1) 0%, rgba(244,192,60,1) 100%);',
            '     display: flex;',
            ' position: absolute;',
            ' order: 0;',
            'left: -27px;',
            'top: 0px;',
            '}',
            '#logo {',

            'position: relative;',
            'width: 100%;',
            'height: 100%;',
            'left: -10%;',
            'top: 50%;',

            '}',

            '#mask {',
            'position: fixed;',
            'width: 10%;',
            'height: 10%;',
            'left: 331px;',
            'top: 45%;',
            '}',

            '#cross {',
            'position: absolute;',
            'top: -0.321px;',
            'left: 237px;',
            'height: 50px;',
            'width: auto;',

            '}',

            '#title {',
            '             position: absolute;',
            ' transform-origin: center center;',
            ' top: 10%;',
            ' width: 500px;',
            ' left: calc(50% - 243px);',
            '}',


            '@keyframes slide-in {',
            '0% {',
            'transform:  rotate(0deg);',
            '}',
            '100% {',
            'transform:  rotate(360deg);',
            '}',
            '}',


            '@keyframes gradientAnim {',
            '0% {',
            'transform:  rotate(0deg);',
            '}',
            '100% {',
            'transform:  rotate(360deg);',
            '}',
            '}',






        ].join('\n');

        var style = document.createElement('style');
        style.type = 'text/css';
        if (style.styleSheet) {
            style.styleSheet.cssText = css;
        } else {
            style.appendChild(document.createTextNode(css));
        }

        document.head.appendChild(style);
    };

    createCss();
    showSplash();

    app.on('preload:end', function () {
        app.off('preload:progress');
    });
    app.on('preload:progress', setProgress);
    app.on('start', hideSplash);
});